# Contribution guidelines

Before making a pull request, please make sure of the following:
* The tutorial(s) you want to add do not already exist
* Your tutorial is correctly placed under the appropriate language/technology
* Improvements of the same tutorial are encouraged!
* The pull request needs to have a descriptive title
* If the language/technology of your tutorial does not exist, feel free to create a new entry in table of contents
* Make a separate pull request for each of the tutorial
* Use the following format `[Title](link_to_tutorial)`
* If your tutorial is a multi-part series, use the following format:
    ```
        * Title
            * [Part 1](link_to_part_1)
            * [Part 2](link_to_part_2)
    ```
* Check the spelling and grammar
* Remove any trailing whitespaces
* Links must be pointing straight to the tutorials, no URL shorteners. However, if the URL is too long (more than 80 characters), Google URL Shortener is allowed

Thank you for your suggestions! If you think there is anything to improve with the guidelines, please contact me at <tuvtran97@gmail.com>
